JUnit 4.3 and IntelliJ 6.0.5

I saw a defect opened regarding JUnit 4.3 and IntelliJ 6.0.5. Can it be fixed for 6.0.6?

Thanks,

8 comments

+1 JUnit running is pretty basic functionality..


0

The number one problem for us is http://www.jetbrains.net/jira/browse/IDEA-12183 and we would really like to have it fixed by IDEA 6.0.6 indeed.

0

Thanks! Franck for looking that up. I voted for that JIRA already.

0

Thanks for pointing that out. I voted for it as well. This is also a problem on Selena build 7027.

-Stephen

0

It looks like this is now tracked under http://www.jetbrains.net/jira/browse/IDEADEV-17693, which is targeted for IDEA 6.0.6 and Selena final.

As a work around, if you down grade to JUnit 4.1, you'll be able to run individual unit tests again.

-Stephen

0

Hi there,

I am looking everywhere to find out how to use JUnit 4 with IntelliJ 6.0.5 and can't find. Can you please help me to find it. I need it desperately.

Thanks a lot,
David

0

On 2007-09-18 21:44:55 +0400, ramat123 <david.zonsh@gmail.com> said:

Hi there,

I am looking everywhere to find out how to use JUnit 4 with IntelliJ
6.0.5 and can't find. Can you please help me to find it. I need it
desperately.

Thanks a lot,
David


JUnit 4 is only supported in 6.0.6, which is available for download
from http://www.jetbrains.net/confluence/display/IDEADEV/6.0.6+EAP.
Please note we haven't yet released it, so it's EAP.

0

Please sign in to leave a comment.